package package_controleur;
import java.io.File;
import java.util.ArrayList;
import java.util.List;

import package_modele.Modele;


public class Controleur
{
	private Modele modele;
	public Controleur(Modele m)
	{
		modele = m;
	}
	public void rechercher(String s)
	{
		modele.rechercher(s);
	}
	public void parcourir()
	{
		modele.parcourir();
	}
	public void clicTag(String nom)
	{
		modele.clicTag(nom);
	}
	public void clicTagRecent(String nom)
	{
		modele.clicTagRecent(nom);
	}
	public void importer(Object transferData)
	{
		modele.importer((List<File>)transferData);
	}
	public Modele getModele()
	{
		return modele;
	}
}
