package package_vue;

import java.awt.Color;
import java.awt.Graphics;
import java.awt.Graphics2D;
import java.awt.RenderingHints;
import java.awt.font.FontRenderContext;
import java.awt.geom.Rectangle2D;
import javax.swing.JButton;

@SuppressWarnings("serial")
public class BoutonTag extends JButton
{
	private Color col = Color.GRAY;
	//private String nb;
	public BoutonTag(String t) {
		super(t);
		//setBorderPainted(false);
		//nb = ""+n+" fichiers";
		//this.setBackground(c);
		setForeground(Color.WHITE);
		setFont(Panneau.POLICE18);
        setFocusable(false);
	}
	public void setColor(Color c)
	{
		col = c;
	}

	public void paintComponent( Graphics g )
	{
		setBackground(getParent().getBackground());
		// setBorder(Styles.BORDER_NONE);
		//getParent().getParent().repaint();

		 Graphics2D g2 = (Graphics2D)g;
		 g2.setRenderingHint(RenderingHints.KEY_ANTIALIASING, RenderingHints.VALUE_ANTIALIAS_ON); 

		 
		 //g2.setColor(new Color(col.getRed(), col.getGreen(), col.getBlue(), 50));
		 g2.setColor(new Color(165,178,186));
		 g2.fillRoundRect(1,1,getWidth()-2,getHeight()-2,18,18);
		 
		 
		 g2.setColor(col);
		 if (getModel().isRollover()) g2.setColor(col.brighter());
		 g2.fillRoundRect(1,1,getWidth()-6,getHeight(),18,18);
		/*
		 if (getModel().isRollover())
		 {
			 g2.setColor(Color.WHITE);
			g2.drawRoundRect(1,1,getWidth()-6,getHeight()-2,18,18);
		 }
		 */
		 g2.setColor(getForeground());
		 FontRenderContext frc = new FontRenderContext(null, false, false);
		 Rectangle2D r = getFont().getStringBounds(getText(), frc);
		 float xMargin = (float)(getWidth()-r.getWidth())/2;
		 float yMargin = (float)(getHeight()-getFont().getSize())/2;

		 // Draw the text in the center
		 g2.drawString(getText(), xMargin, (float)getFont().getSize() + yMargin);
		 //g2.drawString(nb, xMargin, (float)(getFont().getSize() + yMargin + 10));
		 
		
		
		
		
		
		/*
		Graphics2D g2 = (Graphics2D) g; 
		if (getModel().isPressed()) {
		    g.setColor(g.getColor()); 
		    g2.fillRect(3, 3, getWidth() - 6, getHeight() - 6); 
		} 
		g2.setColor(col); 
		g2.fillRoundRect(0, 0, getWidth(), getHeight(), 5, 15);
		super.paintComponent(g); 
*/
		/*
		g2.setRenderingHint(RenderingHints.KEY_ANTIALIASING, RenderingHints.VALUE_ANTIALIAS_ON); 
		g2.setStroke(new BasicStroke(1.2f)); 
		g2.draw(new RoundRectangle2D.Double(1, 1, (getWidth() - 3), (getHeight() - 3), 12, 8)); 
		g2.setStroke(new BasicStroke(1.5f)); 
		g2.drawLine(4, getHeight() - 3, getWidth() - 4, getHeight() - 3); 
		*/
		g2.dispose(); 
		        
		
		
		
		/*
		g.setColor(getBackground());
		g.fillOval(0, 0, getWidth()-1, getHeight()-1);
		super.paintComponent(g);
		*/
	}

}
