package package_vue;

import java.awt.Color;
import java.awt.GradientPaint;
import java.awt.Graphics;
import java.awt.Graphics2D;

@SuppressWarnings("serial")
public class PanneauPrincipal extends Panneau {

	private static final Color TOP_COLOR = new Color(168,189,206);
	private static final Color MIDDLE_COLOR = new Color(230,240,245);
	private static final Color BOTTOM_COLOR = new Color(196,207,213);
	
	
	public PanneauPrincipal() {

	}
	public void paintComponent(Graphics g)
    {
        super.paintComponent(g);
        Graphics2D g2 = (Graphics2D) g;
        g2.setPaint(new GradientPaint(0, 0, TOP_COLOR, 0, getHeight()/2 , MIDDLE_COLOR));
        g2.fillRect(0, 0, getWidth(), getHeight()/2);
        g2.setPaint(new GradientPaint(0, getHeight()/2, MIDDLE_COLOR, 0, getHeight() , BOTTOM_COLOR));
        g2.fillRect(0, getHeight()/2, getWidth(), getHeight());
        
    }

}
